# $Revision: 1.20 $, $Date: 2003/08/28 08:20:32 $
Summary:	A simple non-optimizing ANSI C compiler
Summary(pl):	Prosty nie-optymalizujcy kompilator ANSI C
Name:		lcc
Version:	4.2
Release:	1
License:	distributable
Vendor:		C. W. Fraser & H. R. Hanson <lcc-bugs@cs.princeton.edu>
Group:		Development/Tools
# Source0-md5:	f4b11e93b023350c0a8b7619b09cb782
Source0:	ftp://ftp.cs.princeton.edu/pub/packages/lcc/%{name}-%{version}.tar.gz
Patch0:		%{name}-ftol.patch
URL:		http://www.cs.princeton.edu/software/lcc/
# sed and grep are required only for installation
Requires(post):	grep
Requires(post):	sed
Requires(post,preun):	fileutils
Requires:	gcc
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lcc is the ANSI C compiler described in Christopher W. Fraser's and
David R. Hanson's book A Retargetable C Compiler: Design and
Implementation (Addison-Wesley, 1995, ISBN 0-8053-1670-1).

It doesn't have all the abilites of gcc. It's mainly mean as tool for
testing your program's compilance with ANSI C standards (or with
anything else then gcc ;).

%description -l pl
lcc jest kompilatorem ANSI C opisanym w ksice Christopher'a W.
Fraser'a and David'a R. Hanson'a pod tytuem A Retargetable C
Compiler: Design and Implementation (Addison-Wesley, 1995, ISBN
0-8053-1670-1).

lcc nie posiada wszystkich moliwoci gcc. Jest gwnie uyteczne jako
narzdzie testowania zgodnoci z ANSI C (lub czymkolwiek innym ni gcc
;).

%prep
%setup -q
#%patch -p1

%build
mkdir build
mkdir build/include
cp include/x86/linux/* build/include
ln -s `gcc -v 2>&1 | grep from | sed -e 's/.*from //' -e 's|/specs||'` build/gcc
export BUILDDIR=`pwd`/build
%{__make} lcc \
	HOSTFILE=etc/linux.c \
	CFLAGS="%{rpmcflags} -DLCCDIR='\"%{_libdir}/lcc/\"'"

%{__make} all \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/lcc,%{_mandir}/man1}

install build/lcc $RPM_BUILD_ROOT%{_bindir}
cp -r build/{bprint,cpp,lburg,rcc,liblcc.a,include} \
	$RPM_BUILD_ROOT%{_libdir}/lcc
install doc/*.1 lburg/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%post
# lcc is not really gcc version dependent, possibly most version will do
ln -sf `gcc -v 2>&1 | grep from | sed -e 's/.*from //' -e 's|/specs||'` \
	%{_libdir}/lcc/gcc

%preun
rm -f %{_libdir}/lcc/gcc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LOG CPYRIGHT doc/*html
%attr(755,root,root) %{_bindir}/lcc
%dir %{_libdir}/lcc
%attr(755,root,root) %{_libdir}/lcc/bprint
%attr(755,root,root) %{_libdir}/lcc/cpp
%attr(755,root,root) %{_libdir}/lcc/lburg
%attr(755,root,root) %{_libdir}/lcc/rcc
%{_libdir}/lcc/include
%{_libdir}/lcc/liblcc.a
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lcc.spec,v $
Revision 1.20  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.19  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.18  2003/06/04 07:46:34  misi3k
- updated to 4.2
- patch1 disabled

Revision 1.17  2003/05/28 12:59:25  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:49:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/04 11:47:43  qboosh
- fixed "new %%doc"

Revision 1.14  2002/11/27 18:27:39  juandon
- new %%doc

Revision 1.13  2002/08/22 22:46:42  marcus
- for Linux lcc is only for ix86
- rel.3.

Revision 1.12  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.8  2001/05/30 08:34:04  kloczek
- relaese 2.

Revision 1.7  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.6  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.5  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.4  2000/11/24 14:43:45  kloczek
- release 1,
- make spec %%{debug} ready,
- use new rpm automation.

Revision 1.3  2000/11/24 14:18:56  malekith
Same

Revision 1.2  2000/11/24 14:15:42  malekith
Fixed what adapter broke.

Revision 1.1  2000/11/23 17:03:29  malekith
- first upload of ANSI C (toy-comparing to gcc) compiler
